### Method

# GLib BookmarkFile set_added_date_time

since: 2.66

#### Declaration [src]

    void
    g_bookmark_file_set_added_date_time (
      GBookmarkFile* bookmark,
      const char* uri,
      GDateTime* added
    )

#### Description [src]

Sets the time the bookmark for `uri` was added into `bookmark`.

If no bookmark for `uri` is found then it is created.

Available since: 2.66

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`added`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the method.